Bug 57428 - dump hangs on SMP systems
dump hangs on SMP systems
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dump (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-12 04:01 EST by Alain RICHARD
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-12 04:01:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alain RICHARD 2001-12-12 04:01:05 EST
Description of Problem:

dump hangs during dump on an SMP system. The hang is soft (no I/O error, a simple kill kills the processes). This happens 50% of the times. On the same system with a single processor (and the same kernel) the problem do not happens.

Looking at the project home page, it seems that this is a well known problem introduced in the 0.4b22 version and corrected in later versions.

Version-Release number of selected component (if applicable):

dump 0.4b22

How Reproducible:

dump a filesystem to tape (DAT in my case).

Actual Results:


Expected Results:


Additional Information:
 
Upgrading to a later version solve the problem (in my case I have upgraded to version 0.4b25).
Comment 1 Mike A. Harris 2001-12-17 14:38:10 EST
This was fixed in rawhide a while back.  You can rebuild the rawhide
src.rpm if you like and it should work ok.

Note You need to log in before you can comment on or make changes to this bug.